<?php
// (c) 2014-2015 Timothy Pearson
// All Rights Reserved

include("tde-head-and-foot.php");
doHeader("Support Trinity", "Donate", "_");
?>

<h2>The Trinity project needs your support!</h2>
    <p>
    While Trinity is free software, making it is not free.<br>
    Developing and maintaining Trinity takes an enormous amount of effort, and relies heavily on both a fast
    Internet connection and large, power-hungry computers for the build farm and Web services.
    </p>
    <p>
    If you can, please help to both assist the Trinity development team and pay for the various resources in
    use by donating here:
    </p>

<?php
	$donation_complete = false;
	$donation_aborted = false;
	if (isset($_GET['action'])) {
		if ($_GET['action'] == "done") {
			$donation_complete = true;
		}
		else if ($_GET['action'] == "cancel") {
			$donation_aborted = true;
		}
	}
	if ($donation_complete == true) {
		echo "	<fieldset>";
		echo "	<legend>Donation Received</legend>";
		echo "    <font color=\"green\"><b>Thank you for your donation to the Trinity Desktop project!</b></font><br>&nbsp;<br>Your funding will help to create an even better TDE experience into the future.";
		echo "	</fieldset>";
	}
	else if ($donation_aborted == true) {
		echo "	<fieldset>";
		echo "	<legend>Donation Cancelled</legend>";
		echo "    <font color=\"red\"><b>We're sorry you changed your mind.</b></font><br>&nbsp;<br>However, if you love TDE there are other ways to get involved and help the project!<br>Check out our <a href=\"/helpwanted.php\">Get Involved</a> page for more ideas.";
		echo "	</fieldset>";
	}
	else
	{
		if ( 0 /* enable fiat currencies via PayPal */ )
		{
			echo "	<p>\n";
			echo "	<fieldset>\n";
			echo "	<legend>Via PayPal</legend>\n";
			echo "	<form action=\"https://www.paypal.com/cgi-bin/webscr\" method=\"post\" target=\"_top\">\n";
			echo "	<input type=\"hidden\" name=\"cmd\" value=\"_s-xclick\">\n";
			echo "	<input type=\"hidden\" name=\"hosted_button_id\" value=\"HVGH827GE28G2\">\n";
			echo "	<input type=\"image\" src=\"https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif\" border=\"0\" name=\"submit\" alt=\"PayPal - The safer, easier way to pay online!\">\n";
			echo "	<img alt=\"\" border=\"0\" src=\"https://www.paypalobjects.com/en_US/i/scr/pixel.gif\" width=\"1\" height=\"1\">\n";
			echo "	</form>\n";
			echo "	</fieldset>\n";
			echo "	</p>\n";
		}
		else
		{
			echo "	<p>\n";
			echo "	<fieldset>\n";
			echo "	<legend>Via PayPal</legend>\n";
			echo "	Donations through PayPal has been temporarily disabled until";
			echo " we prepare a way to make donation transactions transparent";
			echo " for everyone. Please donate in Bitcoin for the time being.\n";
			echo "	</fieldset>\n";
			echo "	</p>\n";
		}
		if ( 1 /* enable BitCoin */ )
		{
			echo "	<p>\n";
			echo "	<fieldset>\n";
			echo "	<legend>Via BitCoin</legend>\n";
			echo "		Donate <a href='donate-btc0002' target='donate_btc'>0.2&nbsp;mBTC</a> &ndash; \n";
			echo "		<a href='donate-btc0005' target='donate_btc'>0.5&nbsp;mBTC</a> &ndash; \n";
			echo "		<a href='donate-btc001' target='donate_btc'>1&nbsp;mBTC</a> &ndash; \n";
			echo "		<a href='donate-btc' target='donate_btc'>other&nbsp;mBTC</a> to TDE!<br />\n";
			echo "		<iframe src='donate-btc0005' name='donate_btc' width='400' height='600' style='border:none;' title='Donate via BitCoin'></iframe><br />\n";
			echo "	</fieldset>\n";
			echo "	</p>\n";
		}
		echo "	<p>Every little bit helps and is much appreciated!</p>\n";
		echo "	<a href=\"https://floss.social/@tde\" rel=\"me\" />\n";
	}
?>

<?php
	doFooter();
?>
